CUDNN Frontend API 8.3.0

Static Public Attributes | Private Types | List of all members
nlohmann::detail::is_iterator_traits< iterator_traits< T > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::is_iterator_traits< iterator_traits< T > >:

## Static Public Attributes
static constexpr auto | value

## Private Types
using | traits = iterator_traits< T >

## Detailed Description

### template<typename T>
struct nlohmann::detail::is_iterator_traits< iterator_traits< T > >

Definition at line 3598 of file json.hpp.

## Member Typedef Documentation

## ◆ traits

template<typename T >

using nlohmann::detail::is_iterator_traits< iterator_traits< T > >::traits = iterator_traits<T>
| private

Definition at line 3601 of file json.hpp.

## Member Data Documentation

## ◆ value

template<typename T >

constexpr auto nlohmann::detail::is_iterator_traits< iterator_traits< T > >::value
| static

Initial value:
=
is_detected<value_type_t, traits>::value &&
is_detected<difference_type_t, traits>::value &&
is_detected<pointer_t, traits>::value &&
is_detected<iterator_category_t, traits>::value &&
is_detected<reference_t, traits>::value

Definition at line 3604 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp